clang-tools 10.0.0

Public Member Functions | List of all members
clang::find_all_symbols::FindAllSymbolsActionFactory Class Reference

`#include <FindAllSymbolsAction.h>`

Inheritance diagram for clang::find_all_symbols::FindAllSymbolsActionFactory:
[legend]
Collaboration diagram for clang::find_all_symbols::FindAllSymbolsActionFactory:
[legend]

## Public Member Functions
| FindAllSymbolsActionFactory (SymbolReporter *Reporter, const HeaderMapCollector::RegexHeaderMap *RegexHeaderMap=nullptr)
std::unique_ptr< FrontendAction > | create () override

## Detailed Description

Definition at line 43 of file FindAllSymbolsAction.h.

## Constructor & Destructor Documentation

## ◆ FindAllSymbolsActionFactory()

clang::find_all_symbols::FindAllSymbolsActionFactory::FindAllSymbolsActionFactory | ( | SymbolReporter * | Reporter,
|  | const HeaderMapCollector::RegexHeaderMap * | RegexHeaderMap = `nullptr`
| ) |  |
| inline

Definition at line 45 of file FindAllSymbolsAction.h.

## Member Function Documentation

## ◆ create()

std::unique_ptr<FrontendAction> clang::find_all_symbols::FindAllSymbolsActionFactory::create | ( |  | ) |
| inline override

Definition at line 50 of file FindAllSymbolsAction.h.

The documentation for this class was generated from the following file:

- FindAllSymbolsAction.h